import request from "@/utils/request";
import constant from "@/utils/constant";

// 分页查询模型数据
const getData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/model/getModelData', params);
}
// 通过ID查询模型数据
const getDataById = (params) => {
    return request.postForm(constant.dtbserverProxy + '/latlon/getLonlatById', params)
}
// 新增模型数据
const addData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/model/addModelData', params);
}
// 修改模型数据
const updateData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/model/addModelData', params);
}
// 删除模型数据
const deleteData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/model/deleteModelData', params)
}

export default {
    getData,
    getDataById,
    addData,
    updateData,
    deleteData,
}